=== modified file 'config/pandora-plugin'
--- config/pandora-plugin	2010-02-12 20:53:27 +0000
+++ config/pandora-plugin	2010-02-25 21:57:19 +0000
@@ -27,7 +27,7 @@
 plugin_list=[]
 plugin_am_file=None
 plugin_ac_file=None
-plugin_prefix='lib'
+plugin_prefix=''
 plugin_suffix='_plugin'
 extra_cflags=''
 extra_cppflags=''
@@ -149,7 +149,7 @@
       plugin_file.write("EXTRA_DIST += %(testsuitedir)s\n" % plugin)
   plugin_file.write("""
 pkgplugin_LTLIBRARIES=%(pname)s.la
-%(pname)s_la_LDFLAGS=-module -avoid-version -rpath $(pkgplugindir) $(AM_LDFLAGS) %(ldflags)s $(GCOV_LIBS)
+%(pname)s_la_LDFLAGS=-avoid-version -rpath $(pkgplugindir) $(AM_LDFLAGS) %(ldflags)s $(GCOV_LIBS)
 %(pname)s_la_LIBADD=%(libs)s
 %(pname)s_la_DEPENDENCIES=%(libs)s
 %(pname)s_la_CPPFLAGS=$(AM_CPPFLAGS) -DPANDORA_DYNAMIC_PLUGIN -DPANDORA_MODULE_NAME=%(name)s -DPANDORA_MODULE_AUTHOR="%(author)s" -DPANDORA_MODULE_TITLE="%(title)s" -DPANDORA_MODULE_VERSION="%(version)s" -DPANDORA_MODULE_LICENSE=%(license)s %(cppflags)s
@@ -387,7 +387,7 @@
     plugin['cppflags']+= extra_cppflags
     plugin['cxxflags']+= extra_cxxflags
 
-    plugin['pname']= "%s%s%s" % (plugin_prefix, plugin['name'], plugin_suffix)
+    plugin['pname']= "lib%s%s%s" % (plugin_prefix, plugin['name'], plugin_suffix)
     plugin['root_plugin_dir']= root_plugin_dir
     plugin['plugin_prefix']= plugin_prefix
     plugin['plugin_suffix']= plugin_suffix
@@ -439,7 +439,7 @@
 EXTRA_DIST += %(rel_path)s/plugin.ini
 if %(build_conditional_tag)s
   pkgplugin_LTLIBRARIES+=%(root_plugin_dir)s/%(pname)s.la
-  %(root_plugin_dir)s_%(pname)s_la_LDFLAGS=-module -avoid-version -rpath $(pkgplugindir) $(AM_LDFLAGS) %(ldflags)s $(GCOV_LIBS)
+  %(root_plugin_dir)s_%(pname)s_la_LDFLAGS=-avoid-version -rpath $(pkgplugindir) $(AM_LDFLAGS) %(ldflags)s $(GCOV_LIBS)
   %(root_plugin_dir)s_%(pname)s_la_LIBADD=%(libs)s
   %(root_plugin_dir)s_%(pname)s_la_DEPENDENCIES=%(libs)s
   %(root_plugin_dir)s_%(pname)s_la_CPPFLAGS=$(AM_CPPFLAGS) -DPANDORA_DYNAMIC_PLUGIN -DPANDORA_MODULE_NAME=%(name)s -DPANDORA_MODULE_AUTHOR="%(author)s" -DPANDORA_MODULE_TITLE="%(title)s" -DPANDORA_MODULE_VERSION="%(version)s" -DPANDORA_MODULE_LICENSE=%(license)s %(cppflags)s

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2010-02-12 20:53:27 +0000
+++ m4/pandora_canonical.m4	2010-02-25 21:57:19 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.109])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.110])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   AC_ARG_ENABLE([fat-binaries],
@@ -94,6 +94,8 @@
 
   m4_if(PCT_VERSION_FROM_VC,yes,[
     PANDORA_VC_VERSION
+  ],[
+    PANDORA_TEST_VC_DIR
   ])
   PANDORA_VERSION
 

=== modified file 'm4/pandora_vc_build.m4'
--- m4/pandora_vc_build.m4	2010-01-26 00:57:12 +0000
+++ m4/pandora_vc_build.m4	2010-02-25 21:57:19 +0000
@@ -3,7 +3,7 @@
 dnl gives unlimited permission to copy and/or distribute it,
 dnl with or without modifications, as long as this notice is preserved.
 
-AC_DEFUN([_PANDORA_BUILDING_FROM_VC],[
+AC_DEFUN([PANDORA_TEST_VC_DIR],[
   pandora_building_from_vc=no
 
   if test -d ".bzr" ; then
@@ -36,7 +36,7 @@
 ])
 
 AC_DEFUN([PANDORA_BUILDING_FROM_VC],[
-  m4_syscmd(_PANDORA_BUILDING_FROM_VC [
+  m4_syscmd(PANDORA_TEST_VC_DIR [
 
     PANDORA_RELEASE_DATE=`date +%Y.%m`
     PANDORA_RELEASE_NODOTS_DATE=`date +%Y%m`
@@ -81,7 +81,7 @@
 AC_DEFUN([PANDORA_VC_VERSION],[
   AC_REQUIRE([PANDORA_BUILDING_FROM_VC])
 
-  _PANDORA_BUILDING_FROM_VC
+  PANDORA_TEST_VC_DIR
 
   AS_IF([test -f ${srcdir}/config/pandora_vc_revinfo],[
     _PANDORA_READ_FROM_FILE([PANDORA_VC_REVNO],${srcdir}/config/pandora_vc_revinfo)

